Index: data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel
===================================================================
--- data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11119)
+++ data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11120)
@@ -1,14 +1,9 @@
-<?xml version="1.0" ?>
-<Falagard>
-    <!--
-    ***************************************************
-        WindowsLook/Button
-    ***************************************************
-    -->
+<?xml version='1.0' encoding='utf-8'?>
+<Falagard version="7">
     <WidgetLook name="WindowsLook/Button">
-        <PropertyDefinition name="NormalTextColour" initialValue="FF000000" redrawOnWrite="true" />
-        <PropertyDefinition name="HoverTextColour" initialValue="FF000000" redrawOnWrite="true" />
-        <PropertyDefinition name="PushedTextColour" initialValue="FF000000" redrawOnWrite="true" />
-        <PropertyDefinition name="DisabledTextColour" initialValue="FF888888" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF000000" name="NormalTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF000000" name="HoverTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF000000" name="PushedTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF888888" name="DisabledTextColour" redrawOnWrite="true" />
         <ImagerySection name="label">
             <TextComponent>
@@ -47,38 +42,36 @@
                     </Dim>
                 </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="ButtonNormalTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="ButtonNormalTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="ButtonNormalBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="ButtonNormalBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="ButtonNormalLeft" />
-                <Image type="TopEdge" imageset="WindowsLook" image="ButtonNormalTop" />
-                <Image type="RightEdge" imageset="WindowsLook" image="ButtonNormalRight" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="ButtonNormalBottom" />
+                <Image component="TopLeftCorner" name="WindowsLook/ButtonNormalTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/ButtonNormalTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/ButtonNormalBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/ButtonNormalBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/ButtonNormalLeft" />
+                <Image component="TopEdge" name="WindowsLook/ButtonNormalTop" />
+                <Image component="RightEdge" name="WindowsLook/ButtonNormalRight" />
+                <Image component="BottomEdge" name="WindowsLook/ButtonNormalBottom" />
             </FrameComponent>
             <ImageryComponent>
                 <Area>
                     <Dim type="LeftEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonNormalLeft" dimension="Width" />
-                    </Dim>
-                    <Dim type="TopEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonNormalTop" dimension="Height" />
+                        <ImageDim dimension="Width" name="WindowsLook/ButtonNormalLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="WindowsLook/ButtonNormalTop" />
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonNormalRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonNormalBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="Background" />
-                <Colours topLeft="FFAFAFAF" topRight="FFFFFFFF" bottomLeft="FFFFFFFF" bottomRight="FFAFAFAF" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="WindowsLook/ButtonNormalRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="WindowsLook/ButtonNormalBottom" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/Background" />
+                <Colours bottomLeft="FFFFFFFF" bottomRight="FFAFAFAF" topLeft="FFAFAFAF" topRight="FFFFFFFF" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -101,38 +94,36 @@
                     </Dim>
                 </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="ButtonHoverTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="ButtonHoverTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="ButtonHoverBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="ButtonHoverBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="ButtonHoverLeft" />
-                <Image type="TopEdge" imageset="WindowsLook" image="ButtonHoverTop" />
-                <Image type="RightEdge" imageset="WindowsLook" image="ButtonHoverRight" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="ButtonHoverBottom" />
+                <Image component="TopLeftCorner" name="WindowsLook/ButtonHoverTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/ButtonHoverTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/ButtonHoverBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/ButtonHoverBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/ButtonHoverLeft" />
+                <Image component="TopEdge" name="WindowsLook/ButtonHoverTop" />
+                <Image component="RightEdge" name="WindowsLook/ButtonHoverRight" />
+                <Image component="BottomEdge" name="WindowsLook/ButtonHoverBottom" />
             </FrameComponent>
             <ImageryComponent>
                 <Area>
                     <Dim type="LeftEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonHoverLeft" dimension="Width" />
-                    </Dim>
-                    <Dim type="TopEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonHoverTop" dimension="Height" />
+                        <ImageDim dimension="Width" name="WindowsLook/ButtonHoverLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="WindowsLook/ButtonHoverTop" />
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonHoverRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonHoverBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="Background" />
-                <Colours topLeft="FFCFD9CF" topRight="FFF2FFF2" bottomLeft="FFF2FFF2" bottomRight="FFCFD9CF" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="WindowsLook/ButtonHoverRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="WindowsLook/ButtonHoverBottom" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/Background" />
+                <Colours bottomLeft="FFF2FFF2" bottomRight="FFCFD9CF" topLeft="FFCFD9CF" topRight="FFF2FFF2" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -155,38 +146,36 @@
                     </Dim>
                 </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="ButtonPushedTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="ButtonPushedTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="ButtonPushedBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="ButtonPushedBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="ButtonPushedLeft" />
-                <Image type="TopEdge" imageset="WindowsLook" image="ButtonPushedTop" />
-                <Image type="RightEdge" imageset="WindowsLook" image="ButtonPushedRight" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="ButtonPushedBottom" />
+                <Image component="TopLeftCorner" name="WindowsLook/ButtonPushedTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/ButtonPushedTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/ButtonPushedBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/ButtonPushedBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/ButtonPushedLeft" />
+                <Image component="TopEdge" name="WindowsLook/ButtonPushedTop" />
+                <Image component="RightEdge" name="WindowsLook/ButtonPushedRight" />
+                <Image component="BottomEdge" name="WindowsLook/ButtonPushedBottom" />
             </FrameComponent>
             <ImageryComponent>
                 <Area>
                     <Dim type="LeftEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonPushedLeft" dimension="Width" />
-                    </Dim>
-                    <Dim type="TopEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonPushedTop" dimension="Height" />
+                        <ImageDim dimension="Width" name="WindowsLook/ButtonPushedLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="WindowsLook/ButtonPushedTop" />
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonPushedRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonPushedBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="Background" />
-                <Colours topLeft="FFAFAFAF" topRight="FFFFFFFF" bottomLeft="FFFFFFFF" bottomRight="FFAFAFAF" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="WindowsLook/ButtonPushedRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="WindowsLook/ButtonPushedBottom" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/Background" />
+                <Colours bottomLeft="FFFFFFFF" bottomRight="FFAFAFAF" topLeft="FFAFAFAF" topRight="FFFFFFFF" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -209,37 +198,35 @@
                     </Dim>
                 </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="ButtonNormalTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="ButtonNormalTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="ButtonNormalBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="ButtonNormalBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="ButtonNormalLeft" />
-                <Image type="TopEdge" imageset="WindowsLook" image="ButtonNormalTop" />
-                <Image type="RightEdge" imageset="WindowsLook" image="ButtonNormalRight" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="ButtonNormalBottom" />
+                <Image component="TopLeftCorner" name="WindowsLook/ButtonNormalTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/ButtonNormalTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/ButtonNormalBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/ButtonNormalBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/ButtonNormalLeft" />
+                <Image component="TopEdge" name="WindowsLook/ButtonNormalTop" />
+                <Image component="RightEdge" name="WindowsLook/ButtonNormalRight" />
+                <Image component="BottomEdge" name="WindowsLook/ButtonNormalBottom" />
             </FrameComponent>
             <ImageryComponent>
                 <Area>
                     <Dim type="LeftEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonNormalLeft" dimension="Width" />
-                    </Dim>
-                    <Dim type="TopEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonNormalTop" dimension="Height" />
+                        <ImageDim dimension="Width" name="WindowsLook/ButtonNormalLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="WindowsLook/ButtonNormalTop" />
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonNormalRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonNormalBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="Background" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="WindowsLook/ButtonNormalRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="WindowsLook/ButtonNormalBottom" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/Background" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -281,5 +268,5 @@
             <Layer>
                 <Section section="disabled">
-                    <Colours topLeft="FFDFDFDF" topRight="FFDFDFDF" bottomLeft="FFDFDFDF" bottomRight="FFDFDFDF" />
+                    <Colours bottomLeft="FFDFDFDF" bottomRight="FFDFDFDF" topLeft="FFDFDFDF" topRight="FFDFDFDF" />
                 </Section>
                 <Section section="label">
@@ -289,29 +276,27 @@
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/Checkbox
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/Checkbox">
-        <PropertyDefinition name="NormalTextColour" initialValue="FF000000" redrawOnWrite="true" />
-        <PropertyDefinition name="HoverTextColour" initialValue="FF000000" redrawOnWrite="true" />
-        <PropertyDefinition name="PushedTextColour" initialValue="FF000000" redrawOnWrite="true" />
-        <PropertyDefinition name="DisabledTextColour" initialValue="FF888888" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF000000" name="NormalTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF000000" name="HoverTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF000000" name="PushedTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF888888" name="DisabledTextColour" redrawOnWrite="true" />
         <ImagerySection name="label">
             <TextComponent>
                 <Area>
-                    <Dim type="LeftEdge" >
-                        <ImageDim imageset="WindowsLook" image="CheckboxNormal" dimension="Width">
-                            <DimOperator op="Add">
-                                <AbsoluteDim value="4" />
-                            </DimOperator>
-                        </ImageDim>
-                    </Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                    <Dim type="LeftEdge">
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Width" name="WindowsLook/CheckboxNormal" />
+                            <AbsoluteDim value="4" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
                 </Area>
                 <VertFormat type="CentreAligned" />
@@ -322,10 +307,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="CheckboxNormal" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/CheckboxNormal" />
                 <VertFormat type="CentreAligned" />
                 <HorzFormat type="LeftAligned" />
@@ -335,10 +328,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="CheckboxHover" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/CheckboxHover" />
                 <VertFormat type="CentreAligned" />
                 <HorzFormat type="LeftAligned" />
@@ -348,10 +349,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="CheckboxMark" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/CheckboxMark" />
                 <VertFormat type="CentreAligned" />
                 <HorzFormat type="LeftAligned" />
@@ -393,15 +402,8 @@
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/SystemButton
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/SystemButton">
-        <PropertyDefinition name="NormalImage" initialValue="" redrawOnWrite="true" />
-        <PropertyDefinition name="HoverImage" initialValue="" redrawOnWrite="true" />
-        <PropertyDefinition name="PushedImage" initialValue="" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="" name="NormalImage" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="" name="HoverImage" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="" name="PushedImage" redrawOnWrite="true" />
         <Property name="WantsMultiClickEvents" value="False" />
         <ImagerySection name="normal">
@@ -486,34 +488,29 @@
             <Layer>
                 <Section section="normal">
-                    <Colours topLeft="FFDFDFDF" topRight="FFDFDFDF" bottomLeft="FFDFDFDF" bottomRight="FFDFDFDF" />
+                    <Colours bottomLeft="FFDFDFDF" bottomRight="FFDFDFDF" topLeft="FFDFDFDF" topRight="FFDFDFDF" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/ComboDropList
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/ComboDropList">
         <NamedArea name="ItemRenderingArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="WindowsLook/StaticFrameRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="WindowsLook/StaticFrameBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -521,15 +518,18 @@
         <NamedArea name="ItemRenderingAreaHScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" offset="-16" type="BottomEdge" />
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="WindowsLook/StaticFrameRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-16" scale="1" type="BottomEdge" />
                 </Dim>
             </Area>
@@ -537,15 +537,18 @@
         <NamedArea name="ItemRenderingAreaVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" offset="-16" type="RightEdge" />
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-16" scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="WindowsLook/StaticFrameBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
